Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class FormatValue

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.api.elements.structures.FormatValue

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet

Direct Known Subclasses:
  DateFormatValue, DateTimeFormatValue, NumberFormatValue, ParameterFormatValue, StringFormatValue, TimeFormatValue

    public abstract class FormatValue

extends org.eclipse.birt.report.model.core.Structure

The abstract value for the format of string, data-time and number.

Field Summary
`static java.lang.String` | `CATEGORY_MEMBER` Name of the config variable category member.
`static java.lang.String` | `PATTERN_MEMBER` Name of the config variable pattern member.

Constructor Summary
`FormatValue()`

Method Summary
`java.lang.String` | `getCategory()` Returns the variable name.
`protected java.lang.Object` | `getIntrinsicProperty(java.lang.String memberName)` Returns the value of a structure property represented as a member variable.
`java.lang.String` | `getPattern()` Returns the variable value.
`void` | `setCategory(java.lang.String name)` Sets the variable name.
`protected void` | `setIntrinsicProperty(java.lang.String memberName, java.lang.Object value)` Sets the value of of a structure property represented as a member variable.
`void` | `setPattern(java.lang.String value)` Sets the variable value.
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`copy, equals, getContext, getDefn, getElement, getHandle, getHandle, getListMemberRef, getLocalProperty, getLocalProperty, getObjectDefn, getProperty, getProperty, getReferencableProperty, handle, isDesignTime, isReferencable, setContext, setProperty, setProperty, updateReference, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.birt.report.model.api.core.IStructure
`getStructName`

Field Detail

### CATEGORY_MEMBER

    public static final java.lang.String CATEGORY_MEMBER

  Name of the config variable category member.

  See Also:
    Constant Field Values

### PATTERN_MEMBER

    public static final java.lang.String PATTERN_MEMBER

  Name of the config variable pattern member.

  See Also:
    Constant Field Values

Constructor Detail

### FormatValue

    public FormatValue()

Method Detail

### getIntrinsicProperty

    protected java.lang.Object getIntrinsicProperty(java.lang.String memberName)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Returns the value of a structure property represented as a member variable.

  Specified by:
    `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `memberName` - name of the property
  Returns:
    the value of the property, or null if the property is not set

### setIntrinsicProperty

    protected void setIntrinsicProperty(java.lang.String memberName,
                                        java.lang.Object value)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Sets the value of of a structure property represented as a member variable.

  Specified by:
    `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `memberName` - the name of the property to set
    `value` - the property value

### getCategory

    public java.lang.String getCategory()

  Returns the variable name.

  Returns:
    the variable name

### setCategory

    public void setCategory(java.lang.String name)

  Sets the variable name.

  Parameters:
    `name` - the name to set

### getPattern

    public java.lang.String getPattern()

  Returns the variable value.

  Returns:
    the variable value

### setPattern

    public void setPattern(java.lang.String value)

  Sets the variable value.

  Parameters:
    `value` - the value to set

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.